com.h3c.sdn.api

## Interface LicenseTransferService

-     public interface LicenseTransferService

  HA/teaming license transfer service

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLicense(String licKey)` Validates and adds a product license issued by the authorized SDN licensing portal in all team members.
    `void` | `deactivateLicense(String sno)` Deactivates an active license of a serial number across all team nodes.
    `String[]` | `getLicenses(SystemInformation system)` Get all licenses stored in database.
    `String` | `installId(SystemInformation system)` Get the install id assigned for this install base.

- - ### Method Detail

    - #### installId

          String installId(SystemInformation system)
                           throws Exception

      Get the install id assigned for this install base.
      Parameters:
        `system` - base system to obtain install id from
      Returns:
        install id assigned by the licensing framework
      Throws:
        `Exception` - throws an exception if any

    - #### addLicense

          void addLicense(String licKey)

      Validates and adds a product license issued by the authorized SDN licensing portal in all team members.
      Parameters:
        `licKey` - encrypted license key that needs to be added

    - #### deactivateLicense

          void deactivateLicense(String sno)

      Deactivates an active license of a serial number across all team nodes.
      Parameters:
        `sno` - license with serial number that needs to be deactivated

    - #### getLicenses

          String[] getLicenses(SystemInformation system)
                               throws Exception

      Get all licenses stored in database.
      Parameters:
        `system` - base system to obtain licenses from
      Returns:
        array of license keys
      Throws:
        `Exception` - throws an exception if any

Copyright © 2014. All Rights Reserved.